void setup()
{
  JSONObject obj = loadJSONObject( "directory.json" );
  int total_files = countFiles( obj );
  println( total_files );
}

int countFiles( JSONObject obj )
{
  String type = obj.getString( "type" );
  if( type.equals( "file" ) ) {
    return 1;
  } else {
    int total = 0;
    JSONArray arr = obj.getJSONArray( "children" );
    for( int idx = 0; idx < arr.size(); ++idx ) {
      total += countFiles( arr.getJSONObject( idx ) );
    }
    return total;
  }
}